Name:       ibus-table-yinma
Version:    1.2.0.20100111
Release:    2%{?dist}
Summary:    The phonetic tables for IBus-Table
License:    GPLv3
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://github.com/downloads/kaio/ibus-table-yinma/ibus-table-yinma-1.2.0.20100111.tar.gz 

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus-table >= 1.2
Requires(post):   ibus-table >= 1.2
BuildRequires:    ibus-table-devel >= 1.2.0

Obsoletes:        ibus-table-yong <= 1.2.0.20100111, ibus-table-erbi <= 1.2.0.20100111
Provides:         ibus-table-yong, ibus-table-erbi

%description
This package contains the phonetic tables for IBus Table, namely ErBi, 
ErBi QS, Wu, Yong, ZhuYin, ZhuYin Big, ZiRanMa.

## Localized Summary and Descriptions
Summary(zh_CN): IBus-Table 之音码系码表
Summary(zh_HK): IBus-Table 嘅音碼系碼表
Summary(zh_TW): IBus-Table 之音碼系碼表

%description -l zh_CN
本包含有 IBus-Table 之音码系码表：二笔、二笔青松、吴语、永码、注音、注音大字集、自然码。

%description -l zh_HK
呢個包有 IBus-Table 嘅音碼系碼表：二筆、二筆青松、吳語、永碼、注音、注音大字集、自然碼。

%description -l zh_TW
此套件包含 IBus-Table 之音碼系碼表：二筆、二筆青松、吳語、永碼、注音、注音大字集、自然碼。
##

%prep
%setup -q

%build
%configure \
    --prefix=%{_prefix} \
    --disable-static \
    --enable-erbi \
    --enable-wu \
    --enable-yong \
    --enable-ziranma
#    --enable-zhuyin 
#    --enable-zhuyinbig
%__make %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install

# %find_lang %{name}

%post
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/erbi.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/erbi_qs.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/wu.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/yong-ibus.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/zhuyin.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/zhuyin-big.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/ziranma.db

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/icons/erbi.png
%{_datadir}/ibus-table/icons/erbi-qs.svg
%{_datadir}/ibus-table/icons/wu.png
%{_datadir}/ibus-table/icons/yong.png
%{_datadir}/ibus-table/icons/zhuyin.png
%{_datadir}/ibus-table/icons/zhuyin-big.png
%{_datadir}/ibus-table/icons/ziranma.png
%{_datadir}/ibus-table/tables/erbi.db
%{_datadir}/ibus-table/tables/erbi_qs.db
%{_datadir}/ibus-table/tables/wu.db
%{_datadir}/ibus-table/tables/yong-ibus.db
%{_datadir}/ibus-table/tables/zhuyin.db
%{_datadir}/ibus-table/tables/zhuyin-big.db
%{_datadir}/ibus-table/tables/ziranma.db

%changelog
* Tue Feb 23 2010 Caius 'kaio' Chance <cchance at redhat.com> - 1.2.0.20100111-2
- Removed ibus from Requires/BuildRequires as ibus-table required already.
- Added Provides for ibus-table-yong and ibus-table-wubi.
- Fixed length of description.

* Mon Jan 11 2010 Caius 'kaio' Chance <k at kaio.me> - 1.2.0.20100111-1
- The first version.
- Introduce Wu, Zhuyin, Zhuyin Big, ZiRanMa.
- Rename into ibus-table-yinma.
